ALTER TABLE [Seg_Modulos] ADD Codigo VARCHAR(20)
GO

IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 1)INSERT INTO Seg_Modulos VALUES (1,RTRIM(LTRIM('Gestión Integral - ERP -')),1,1,RTRIM(LTRIM('CleverErp')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 10)INSERT INTO Seg_Modulos VALUES (10,RTRIM(LTRIM('Reporting - RPT -')),1,10,RTRIM(LTRIM('CleverRpt')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 11)INSERT INTO Seg_Modulos VALUES (11,RTRIM(LTRIM('Administración de Usuarios - UserEdit -')),1,11,RTRIM(LTRIM('CleverUserEdit')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 12)INSERT INTO Seg_Modulos VALUES (12,RTRIM(LTRIM('Gestión de Instituciones - INSTIT -')),1,12,RTRIM(LTRIM('CleverInstit')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 13)INSERT INTO Seg_Modulos VALUES (13,RTRIM(LTRIM('Gestión Integral - ERP Lite -')),1,13,RTRIM(LTRIM('CleverErpLite')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 14)INSERT INTO Seg_Modulos VALUES (14,RTRIM(LTRIM('Gestión de Instituciones Educativas - EDUC -')),1,14,RTRIM(LTRIM('CleverEduc')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 15)INSERT INTO Seg_Modulos VALUES (15,RTRIM(LTRIM('Gestión de Entidades Bancarias - BANKING -')),1,15,RTRIM(LTRIM('CleverBanking')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 16)INSERT INTO Seg_Modulos VALUES (16,RTRIM(LTRIM('Gestión para Contadores - ACCOUNTING -')),1,16,RTRIM(LTRIM('CleverAccountant')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 17)INSERT INTO Seg_Modulos VALUES (17,RTRIM(LTRIM('Gestión de Eventos - EVENT -')),1,17,RTRIM(LTRIM('CleverEvent')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 18)INSERT INTO Seg_Modulos VALUES (18,RTRIM(LTRIM('Control Acceso Visitas - SCA VISITOR -')),1,18,RTRIM(LTRIM('CleverSca')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 2)INSERT INTO Seg_Modulos VALUES (2,RTRIM(LTRIM('Obras Sociales y Prepagas - SALUD -')),1,2,RTRIM(LTRIM('CleverHmo')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 3)INSERT INTO Seg_Modulos VALUES (3,RTRIM(LTRIM('Punto de Venta - POS -')),1,3,RTRIM(LTRIM('CleverPos')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 4)INSERT INTO Seg_Modulos VALUES (4,RTRIM(LTRIM('Clubes y Asociaciones sin fines de lucro - CLUB -')),1,4,RTRIM(LTRIM('CleverClub')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 5)INSERT INTO Seg_Modulos VALUES (5,RTRIM(LTRIM('Facturación Electrónica')),1,5,RTRIM(LTRIM('CleverRece')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 6)INSERT INTO Seg_Modulos VALUES (6,RTRIM(LTRIM('Producción - MRP -')),1,6,RTRIM(LTRIM('CleverMrp')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 7)INSERT INTO Seg_Modulos VALUES (7,RTRIM(LTRIM('Gestión de Contactos - CRM -')),1,7,RTRIM(LTRIM('CleverCrm')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 8)INSERT INTO Seg_Modulos VALUES (8,RTRIM(LTRIM('Tablero de Comandos - BOARD -')),1,8,RTRIM(LTRIM('CleverBoard')))
IF NOT EXISTS ( SELECT 1 FROM Seg_Modulos WHERE Id_Modulo = 9)INSERT INTO Seg_Modulos VALUES (9,RTRIM(LTRIM('Gestión de Pistas de Hielo - ICERINK -')),1,9,RTRIM(LTRIM('CleverIcerink')))

UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverErp')) WHERE Id_Modulo = 1
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverRpt')) WHERE Id_Modulo = 10
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverUserEdit')) WHERE Id_Modulo = 11
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverInstit')) WHERE Id_Modulo = 12
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverErpLite')) WHERE Id_Modulo = 13
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverEduc')) WHERE Id_Modulo = 14
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverBanking')) WHERE Id_Modulo = 15
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverAccountant')) WHERE Id_Modulo = 16
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverEvent')) WHERE Id_Modulo = 17
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverSca')) WHERE Id_Modulo = 18
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverHmo')) WHERE Id_Modulo = 2
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverPos')) WHERE Id_Modulo = 3
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverClub')) WHERE Id_Modulo = 4
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverRece')) WHERE Id_Modulo = 5
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverMrp')) WHERE Id_Modulo = 6
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverCrm')) WHERE Id_Modulo = 7
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverBoard')) WHERE Id_Modulo = 8
UPDATE Seg_Modulos SET Codigo = RTRIM(LTRIM('CleverIcerink')) WHERE Id_Modulo = 9
